# Live Link Face Rust

Live Link Face Rust is a library for decoding/encoding UDP dadagrams sent by Live Link Face App.
You get `LiveLinkFace` struct from which you can get any blend shape:
```
let face_data = LiveLinkFace::decode(&BUF); // UDP datagram; decode returns tuple of (bool, LiveLinkFace)
assert!(face_data.0); // 'true' means that there is face data. false - returns empty LiveLinkFace object
let eye_blink_left = face_data.1.get_blendshape(FaceBlendShape::EyeBlinkLeft);
```

This library is inspired by https://github.com/JimWest/PyLiveLinkFace
